// FormatFireWX.h : header file for National Interagency Fire Center formatters
//

#pragma once

#include "decl.h"
#include "TelemetryTag.h"

extern "C" TELEMETRY_DECL 
bool FormatNIFC(TData& dataMsg, TTelemetryTags& tags, TTime tRef = TTime::GetCurrentTime());

extern "C" TELEMETRY_DECL 
bool FormatNFDRS(TData& dataMsg, TTelemetryTags& tags, TTime tRef = TTime::GetCurrentTime());

extern "C" TELEMETRY_DECL 
bool BuildFireWXMsg(TData& dataMsg, TTelemetryTags& tags, int iType, 
   TTime tRef = TTime::GetCurrentTime());
