#ifndef SocketPort_H
#define SocketPort_H 1

#undef DECL
#if defined(NOT_XPERT)
#define DECL
#else
#if defined(_AFXDLL) || defined(XPERT_EXE)
#ifdef UTILS_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif
#else
#define DECL 
#endif
#endif

// Define Socket Ports used by Sutron Applications
#define DEFAULT_GUI_PORT 52732
#define DEFAULT_REMOTE_PORT 52733
#define DEFAULT_SSP_PORT 52734

extern "C" DECL int GUI_PORT;
extern "C" DECL int REMOTE_PORT;
extern "C" DECL int SSP_PORT;

#endif // SocketPort_H