// TemplateEntry.h: interface for the CTemplateEntry class.
//

#if !defined(_TemplateEntry_INCLUDED_)
#define _TemplateEntry_INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Engine/Engine.h"

/////////////////////////////////////////////////////////////////////////////
// CTemplateEntry
// 
class CTemplateEntry : public CControlPanelEntry
{
   ////////////////////////////////
   // Interface
   ////////////////////////////////
   public:

   // Constructors and destructor.
   CTemplateEntry() {};
   virtual ~CTemplateEntry() {};
   
   // Insert items into tree view pointed to by pTree.
   virtual void InsertItems(CTreeCtrl* pTree);

   // Edit hItem of pTree.
   virtual bool EditItem(CWnd* pParent, HTREEITEM hItem, CTreeCtrl* pTree);
   virtual bool DeleteItem(CWnd* pParent, HTREEITEM hItem, CTreeCtrl* pTree);
   virtual bool NewItem(CWnd* pParent, HTREEITEM hItem, CTreeCtrl* pTree);
   virtual void GetButtonLabels(HTREEITEM hItem, CString& NewButton, CString& EditButton, CString& DeleteButton);
   virtual void OnKillActive(CWnd* pParent);

   ////////////////////////////////
   // Implementation
   ////////////////////////////////
   protected:

};

#endif // !defined(_TemplateEntry_INCLUDED_)
